<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Refpeserta extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mpeserta');
        $this->load->library('form_validation');
        $this->kontes_id=$this->session->userdata('kontes_id');
    }

    public function index(){
        $kontes=$this->kontes_id;
        $refpeserta = $this->Mpeserta->byKontes($kontes);
        $data = array(
            'refpeserta_data' => $refpeserta
        );

        $this->template->load('blank','refpeserta/Refpeserta_list', $data);
    }

    

    public function create() 
    {
        $data = array(
            'button' => 'Form Tambah',
            'action' => site_url('refpeserta/create_action'),
	    'id_inc' => set_value('id_inc'),
	    'nama' => set_value('nama'),
	    'kota' => set_value('kota'),
	);
        $this->template->load('blank','refpeserta/Refpeserta_form', $data);
    }
    
    public function create_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
		'nama' => $this->input->post('nama',TRUE),
		'kota' => $this->input->post('kota',TRUE),
	    );

           $this->Mpeserta->insert($data);
            
            redirect(site_url('refpeserta'));
        }
    }
    
    public function update($id) 
    {
        $row = $this->Mpeserta->get_by_id($id);

        if ($row) {
            $data = array(
                'button' => 'Form Edit',
                'action' => site_url('refpeserta/update_action'),
		'id_inc' => set_value('id_inc', $row->id_inc),
		'nama' => set_value('nama', $row->nama),
		'kota' => set_value('kota', $row->kota),
	    );
            $this->template->load('blank','refpeserta/Refpeserta_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('refpeserta'));
        }
    }
    
    public function update_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('id_inc', TRUE));
        } else {
            $data = array(
		'nama' => $this->input->post('nama',TRUE),
		'kota' => $this->input->post('kota',TRUE),
	    );

            $this->Mpeserta->update($this->input->post('id_inc', TRUE), $data);
            
            redirect(site_url('refpeserta'));
        }
    }
    
    public function delete($id) 
    {
        $row = $this->Mpeserta->get_by_id($id);

        if ($row) {
            $this->Mpeserta->delete($id);
            
            
            redirect(site_url('refpeserta'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('refpeserta'));
        }
    }

    public function _rules() 
    {
	$this->form_validation->set_rules('nama', 'nama', 'trim|required');
	$this->form_validation->set_rules('kota', 'kota', 'trim|required');

	$this->form_validation->set_rules('id_inc', 'id_inc', 'trim');
	$this->form_validation->set_error_delimiters('<span class="text-danger">', '</span>');
    }

}

/* End of file Refpeserta.php */
/* Location: ./application/controllers/Refpeserta.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-12-27 13:41:00 */
/* http://harviacode.com */